<?php
  include("conexion.php");

$orden=$_POST['orden'];
$cliente=$_POST['cliente'];
$fecha_pedido=$_POST['fecha_pedido'];
$fecha_final=$_POST['fecha_final'];
$embalaje=$_POST['embalaje'];
$forma_pago=$_POST['forma_pago'];
$observaciones=$_POST['observaciones'];
$num_orden=$_POST['num_orden'];




$sql="SELECT * from importado where orden='$orden'";

    $resultadoc=$conexion->query($sql);
     $rowx=$resultadoc->fetch_assoc();


if ($rowx['orden']==$orden){

echo "<script> alert('Ya existe un registro con ese Numero de Orden')</script>";
 echo "<script>location.href='importado.php'</script>";

}
else 
{




$query2="INSERT INTO `importado`(`orden`, `fecha_pedido`, `fecha_final`, `cliente`, `forma_pago`, `embalaje`, `observaciones`) VALUES ('$orden','$fecha_pedido','$fecha_final','$cliente','$forma_pago','$embalaje','$observaciones')";

$resultadoc=$conexion->query($query2);


$consulta="SELECT `id_pedido` FROM `pedidos` where orden ='$orden'";
$resultado2=$conexion-> query ($consulta);
$row1=$resultado2->fetch_assoc();

$id_orden_pedido=$row1['id_pedido'];


 $query="Select MAX(id_pedido) id_pedido from importado";
    $resultadoc=$conexion->query($query);
     $rowx=$resultadoc->fetch_assoc();
     $max_orden=$rowx['id_pedido'];


$consulta="SELECT `id_item`, `orden_pedido`, `descripcion`, `supplier`, `um`, `width`, `weight`, `meter`, `quantity`, `precio_compra`, `price_usd`, `fob`, `cap_hq`, `porc_ocup`, `seis_ocho`, `cent`, `cent_usd`, `com_colim`, `total_com`, `bon_fab`, `total_bon_fab`, `total_ganac`, `fecha_prod`, `remark`, nombre_ref FROM `pedidos_items` inner join  referencias on id_ref=descripcion  where orden_pedido ='$id_orden_pedido' order by orden_pedido asc";
$resultado2=$conexion-> query ($consulta);

     while ($row1=$resultado2->fetch_assoc()){

$refe=$row1['id_item'];
$nombre_ref=$row1['nombre_ref'];
$quantity=$row1['quantity'];
$price_usd=$row1['price_usd'];
$supplier=$row1['supplier'];
$descripcion=$row1['descripcion'];
$um=$row1['um'];
$width=$row1['width'];
$weight=$row1['weight'];
$meter=$row1['meter'];
$precio_compra=$row1['precio_compra'];
$fob=$row1['fob'];
$cap_hq=$row1['cap_hq'];
$porc_ocup=$row1['porc_ocup'];
$com_colim=$row1['com_colim'];
$bon_fab=$row1['bon_fab'];
$fecha_prod=$row1['fecha_prod'];
$remark=$row1['remark'];

//////registrando colores
$consulta_color="SELECT `id_pedidos_color`, `id_pedidos_items`, `color`, `quantity` FROM `pedidos_items_color` where id_pedidos_items='$refe'";
$resultado_color=$conexion-> query ($consulta_color);
 while($row_color=$resultado_color->fetch_assoc())
   {

$id_pedidos_items_color=$row_color['id_pedidos_items'];
$color=$row_color['color'];
$quantity_color=$row_color['quantity'];

if ($quantity_color!=0)
{
$consulta_color2="INSERT INTO `importado_items_color`(`id_pedidos_items`, `color`, `quantity`) VALUES ('$id_pedidos_items_color','$color','$quantity_color')";
$resultado_color2=$conexion-> query ($consulta_color2);
}

}


////////

      $consulta3="SELECT *  FROM `importado_items` where orden_pedido ='$id_orden_pedido' and id_item='$refe' ";
$resultado3=$conexion-> query ($consulta3);
$row3=$resultado3->fetch_assoc(); 

if ($row3['id_item']==$refe) {

  $query="UPDATE `importado_items` SET `orden_pedido`='$max_orden'  WHERE `orden_pedido`='$id_orden_pedido' and  id_item='$refe';";
    $resultado=$conexion->query($query);

}
else
{

$query="INSERT INTO `importado_items`(`id_item`, `orden_pedido`, `descripcion`, `supplier`, `um`, `width`, `weight`, `quantity`, `precio_compra`, `price_usd`, `fob`, `cap_hq`, `porc_ocup`, `com_colim`, `bon_fab`, `fecha_prod`, `remark`, `meter`) VALUES ('$refe', '$max_orden','$descripcion', '$supplier', '$um', '$width', '$weight','$quantity', '$precio_compra', '$price_usd', '$fob', '$cap_hq', '$porc_ocup', '$com_colim', '$bon_fab', '$fecha_prod', '$remark', '$meter')";
$resultadoq=$conexion-> query ($query);
}




   }



    
 header("Location: importado.php");
  }


?>
